      # from file content
      use strict;
      use JSON;
      use Data::Dumper;
#      use Encode;
      local $/;
      $, = "\n";
#      open( my $fh, '<', 'tt01.txt' );
      open(my $fh, '<', 'sessionstore.js');
      open (my $OUT, '>', 'tt03d.txt');
#      my $encoding = 'cp1251';
#      my $unicode_json_text = decode( $encoding, <$fh> ); # UNICODE
#      print $unicode_json_text;
      my $unicode_json_text   = <$fh>;
      my $pps = decode_json( $unicode_json_text );
      my %ppsh = %$pps;
#      my $arr = $ppsh{aaData};
#      my @ar1 = @$arr;
#      my $ar2 = $ar1[0];
#      my @ar3 = @$ar2;
      
#      foreach my $eps(@{$pps->{Def_aaData}->{Temp}}) {
#      my %eh = ();
#      $eh{StI}
#      decode_json( $unicode_json_text );
#      eval $pps;
#      $perl_scalar = decode_json( encode( 'utf8', $unicode_json_text ) );
#      my $pps = from_json( $unicode_json_text );
      my $pps1 = encode_json($pps);
      my $kc=0,my @vc=();
      my @kv;
      my %kh;
     print $OUT Dumper($pps),"\n";      
#       = sort keys(%ppsh); 
#       
#      foreach my $i(keys(%$pps)) 
      while (my($k,$v) = each ($pps)) {
#         @vc = @$v;
       push @kv, $k;   
       print $OUT $k,' == ',@vc;
#       $i,' // ',$ppsh{$i},' \\c ';
      }     
      print $OUT $pps,%ppsh,' // ',@kv,' // ',"\n";
      foreach my $i (0..1) {
       $kc = $kv[$i];
       my $vcc = $ppsh{$kc};
       @vc = @$vcc;
       print $OUT $kc,$vc[0],' -- ',@vc;     
        }
        $kc = $ppsh{$kv[3]};
#        print $OUT 'idx0 ' if exists @$kc[0];
        while (my ($ix,$arv) = each $kc) {
               print $OUT $ix,$arv,'...';
         }
        @vc = @$kc;
        my $ic = $vc[0];
        %kh = %$ic;
        while (my ($ix,$arv) = each $ic) {
               print $OUT $ix,' .ix. ',$arv;
         }
        print $OUT '// ',$kc,' ..',$vc[0];
#
        print $OUT Dumper($kc);
      print $OUT "\n",' /start/ ',keys(%$pps),values(%$pps);
#      print $OUT "\n $#ar1 $#ar3 \n";
      $, = ";";
#      print $OUT @ar3;
      print $OUT "null";
#      my $pps2 = bless {}, $pps;
#      print $OUT $ppsh{"Id"};

#      print $OUT Dumper($pps);
#      print $OUT $pps1;
      close($fh);
      close($OUT);